package me.mrletsplay.versionspawns;

import me.mrletsplay.mrcore.json.JSONObject;
import net.minecraft.server.world.ServerWorld;
import net.minecraft.util.math.Vec2f;
import net.minecraft.util.math.Vec3d;

public class Location {

	private ServerWorld world;
	private Vec3d pos;
	private Vec2f rot;

	public Location(ServerWorld world, Vec3d pos, Vec2f rot) {
		this.world = world;
		this.pos = pos;
		this.rot = rot;
	}

	public ServerWorld getWorld() {
		return world;
	}

	public Vec3d getPos() {
		return pos;
	}

	public Vec2f getRot() {
		return rot;
	}

	public JSONObject toJSON() {
		JSONObject obj = new JSONObject();
		obj.put("world", VersionSpawnsMod.getWorldIdentifier(world));
		obj.put("x", pos.x);
		obj.put("y", pos.y);
		obj.put("z", pos.z);
		obj.put("pitch", rot.x);
		obj.put("yaw", rot.y);
		return obj;
	}

	public static Location fromJSON(JSONObject obj) {
		return new Location(VersionSpawnsMod.getWorldByIdentifier(obj.getString("world")), new Vec3d(obj.getDouble("x"), obj.getDouble("y"), obj.getDouble("z")), new Vec2f(obj.getFloat("pitch"), obj.getFloat("yaw")));
	}

}
