package me.mrletsplay.versionspawns.command;

import java.util.Collections;

import me.mrletsplay.mrcore.command.event.CommandInvokedEvent;
import me.mrletsplay.mrcore.fabric.command.FabricCommand;
import me.mrletsplay.versionspawns.VersionSpawnsMod;
import net.minecraft.server.network.ServerPlayerEntity;

public class DelWarpCommand extends FabricCommand {

	public DelWarpCommand() {
		super("delwarp");

		setDescription("Delete a warp");
		setUsage("/delwarp [name]");

		getProperties().setRequires(s -> s.hasPermissionLevel(4));

		setTabCompleter(event -> {
			if(event.getArgs().length == 0) {
				return VersionSpawnsMod.getWarps();
			}

			return Collections.emptyList();
		});
	}

	@Override
	public void action(CommandInvokedEvent event) {
		ServerPlayerEntity player = getSenderPlayer(event);
		if(player == null) {
			event.getSender().sendMessage("Player only!");
			return;
		}

		if(event.getArguments().length != 1) {
			sendCommandInfo(event.getSender());
			return;
		}

		String name = event.getArguments()[0];
		if(VersionSpawnsMod.getWarp(name) == null) {
			event.getSender().sendMessage("§cThat warp doesn't exist");
			return;
		}

		VersionSpawnsMod.deleteWarp(name);
		event.getSender().sendMessage("§aWarp §7" + name + " §adeleted");
	}

}
