package me.mrletsplay.versionspawns.command;

import me.mrletsplay.mrcore.command.event.CommandInvokedEvent;
import me.mrletsplay.mrcore.fabric.command.FabricCommand;
import me.mrletsplay.versionspawns.Location;
import me.mrletsplay.versionspawns.VersionSpawnsMod;
import net.minecraft.server.network.ServerPlayerEntity;

public class SetWarpCommand extends FabricCommand {

	public SetWarpCommand() {
		super("setwarp");

		setDescription("Set a warp");
		setUsage("/setwarp [name]");

		getProperties().setRequires(s -> s.hasPermissionLevel(4));
	}

	@Override
	public void action(CommandInvokedEvent event) {
		ServerPlayerEntity player = getSenderPlayer(event);
		if(player == null) {
			event.getSender().sendMessage("Player only!");
			return;
		}

		if(event.getArguments().length != 1) {
			sendCommandInfo(event.getSender());
			return;
		}

		String name = event.getArguments()[0];
		Location loc = new Location(player.getServerWorld(), player.getPos(), player.getRotationClient());
		VersionSpawnsMod.setWarp(name, loc);
		event.getSender().sendMessage("§aWarp §7" + name + " §aset to current position");
	}

}
