package me.mrletsplay.versionspawns.command;

import java.util.Collections;

import me.mrletsplay.mrcore.command.event.CommandInvokedEvent;
import me.mrletsplay.mrcore.fabric.command.FabricCommand;
import me.mrletsplay.versionspawns.Location;
import me.mrletsplay.versionspawns.VersionSpawnsMod;
import net.minecraft.server.network.ServerPlayerEntity;

public class WarpCommand extends FabricCommand {

	public WarpCommand() {
		super("warp");

		setDescription("Teleport to warp");
		setUsage("/warp [name]");

		setTabCompleter(event -> {
			if(event.getArgs().length == 0) {
				return VersionSpawnsMod.getWarps();
			}

			return Collections.emptyList();
		});
	}

	@Override
	public void action(CommandInvokedEvent event) {
		ServerPlayerEntity player = getSenderPlayer(event);
		if(player == null) {
			event.getSender().sendMessage("Player only!");
			return;
		}

		if(event.getArguments().length != 1) {
			sendCommandInfo(event.getSender());
			return;
		}

		String name = event.getArguments()[0];
		Location loc = VersionSpawnsMod.getWarp(name);
		if(loc == null) {
			event.getSender().sendMessage("§cThat warp doesn't exist");
			return;
		}

		player.teleport(loc.getWorld(), loc.getPos().x, loc.getPos().y, loc.getPos().z, loc.getRot().y, loc.getRot().x);
		event.getSender().sendMessage("§aTeleported to §7" + name);
	}

}
